schedule: Get league schedule

API: espn.com:espn-sports-api
Endpoint: /apis/site/v2/sports/{sport}/{league}/schedule
Response format: application/json
Auth: none
Method: GET
Last Status: 404
Latency: 326ms

Description

Provides a calendar of upcoming games with dates, times, and participating teams. Use this to show what's coming up or look back at past scheduled games.

From spec: Returns schedule information for the specified league.

Usage Tips

- Filter by date range with start and end parameters - Dates in YYYY-MM-DD format - Includes TV broadcast information when available - Timezone is typically Eastern

Parameters (4)

dates (string, query, optional)

Date range in YYYYMMDD format

league (string, path, required)

League identifier

season (integer, query, optional)

Season year

sport (string, path, required)

Sport category

Examples (1)

Get NFL schedule for current week doc_extracted

Retrieves the schedule of upcoming NFL games.

curl 'https://site.api.espn.com/apis/site/v2/sports/football/nfl/schedule'
import requests

resp = requests.get("https://site.api.espn.com/apis/site/v2/sports/football/nfl/schedule")
data = resp.json()
import zingu_apis

api = zingu_apis.api("espn")
result = api.fetch("apis/site/v2/sports/{sport}/{league}/schedule")

for item in result:
    print(item)
const resp = await fetch("https://site.api.espn.com/apis/site/v2/sports/football/nfl/schedule");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:33:56.205812 404 326ms
2026-04-16 03:23:40.521951 404 329ms
2026-04-15 00:29:32.105375 404 321ms
2026-04-14 03:14:08.110619 404 359ms
2026-04-12 13:03:06.414458 404 312ms
2026-04-10 00:31:58.753664 404 292ms